Skip to content
Start here

Update application

zero_trust.resource_library.applications.update(intid, ApplicationUpdateParams**kwargs) -> ApplicationUpdateResponse
PATCH/accounts/{account_id}/resource-library/applications/{id}

Replace the network matchers for a custom application and create a new version.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: int

Returns the application ID.

formatint64
maximum4294967295
minimum0
hostnames: Optional[Sequence[str]]

Hostnames matched by the application.

ip_subnets: Optional[Sequence[str]]

IP subnets matched by the application.

port_protocols: Optional[Sequence[str]]

Port and protocol pairs matched by the application.

support_domains: Optional[Sequence[str]]

Support domains matched by the application.

ReturnsExpand Collapse
class ApplicationUpdateResponse:
id: int

Returns the application ID.

formatint64
maximum4294967295
minimum0
application_confidence_score: float

Confidence score for the application. Returns -1 when no score is available.

formatfloat
application_source: str

Returns the application source.

application_type: str

Returns the application type.

application_type_description: str

Returns the application type description.

category_id: int

Returns the category ID.

formatint64
maximum4294967295
minimum1
created_at: str

Returns the application creation time.

gen_ai_score: float

GenAI score for the application. Returns -1 when no score is available.

formatfloat
hostnames: List[str]

Hostnames matched by the application.

human_id: str

Returns the human readable ID.

ip_subnets: List[str]

IP subnets matched by the application.

name: str

Returns the application name.

port_protocols: List[str]

Port and protocol pairs matched by the application.

support_domains: List[str]

Support domains matched by the application.

supported: List[Literal["GATEWAY", "ACCESS", "CASB"]]

Cloudflare products that support this application.

One of the following:
"GATEWAY"
"ACCESS"
"CASB"
updated_at: str

Returns the application update time.

version: str

Returns the application version.

application_score_composition: Optional[object]

Returns the score composition breakdown for the application.

Update application

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
application = client.zero_trust.resource_library.applications.update(
    id=498,
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(application.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 498,
    "application_confidence_score": 0.92,
    "application_source": "cloudflare",
    "application_type": "Human Resources",
    "application_type_description": "Applications used to manage employees and workforce tools.",
    "category_id": 12,
    "created_at": "2025-01-01T00:00:00Z",
    "gen_ai_score": 1.5,
    "hostnames": [
      "example.com",
      "foo.com"
    ],
    "human_id": "HR",
    "ip_subnets": [
      "192.168.1.0/24",
      "10.0.0.0/8"
    ],
    "name": "HR",
    "port_protocols": [
      "tcp/80",
      "tcp/443"
    ],
    "support_domains": [
      "example.com",
      "foo.com"
    ],
    "supported": [
      "GATEWAY",
      "ACCESS"
    ],
    "updated_at": "2025-01-01T00:00:00Z",
    "version": "2025-01-01T00:00:00Z",
    "application_score_composition": {
      "categories": [
        {
          "confidence": 0.95,
          "name": "Security"
        }
      ],
      "plan": "free"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 498,
    "application_confidence_score": 0.92,
    "application_source": "cloudflare",
    "application_type": "Human Resources",
    "application_type_description": "Applications used to manage employees and workforce tools.",
    "category_id": 12,
    "created_at": "2025-01-01T00:00:00Z",
    "gen_ai_score": 1.5,
    "hostnames": [
      "example.com",
      "foo.com"
    ],
    "human_id": "HR",
    "ip_subnets": [
      "192.168.1.0/24",
      "10.0.0.0/8"
    ],
    "name": "HR",
    "port_protocols": [
      "tcp/80",
      "tcp/443"
    ],
    "support_domains": [
      "example.com",
      "foo.com"
    ],
    "supported": [
      "GATEWAY",
      "ACCESS"
    ],
    "updated_at": "2025-01-01T00:00:00Z",
    "version": "2025-01-01T00:00:00Z",
    "application_score_composition": {
      "categories": [
        {
          "confidence": 0.95,
          "name": "Security"
        }
      ],
      "plan": "free"
    }
  }
}